# This is a sample configuration for the Web host.  
# If you wish to change any of these,  rename this file to config.yaml
# Default values are shown here.  Uncomment and change the values as desired.

# TODO
#SELFHOST: true

# Maximum concurrent world gens
#GENERATORS: 8

# TODO
#SELFLAUNCH: true

# TODO
#DEBUG: false

# Web hosting port
#PORT: 80

# Place where uploads go.
#UPLOAD_FOLDER: uploads

# Maximum upload size.  Default is 64 megabyte (64 * 1024 * 1024)
#MAX_CONTENT_LENGTH: 67108864

# Secret key used to determine important things like cookie authentication of room/seed page ownership.
# If you wish to deploy, uncomment the following line and set it to something not easily guessable.
# SECRET_KEY: "Your secret key here" 

# TODO
#JOB_THRESHOLD: 2

# waitress uses one thread for I/O, these are for processing of view that get sent
#WAITRESS_THREADS: 10

# Database provider details:
#PONY:
#  provider: "sqlite"
#  filename: "ap.db3" # This MUST be the ABSOLUTE PATH to the file.
#  create_db: true
  
# Maximum number of players that are allowed to be rolled on the server. After this limit, one should roll locally and upload the results.
#MAX_ROLL: 20

# TODO
#CACHE_TYPE: "simple"

# TODO
#JSON_AS_ASCII: false

# Host Address.  This is the address encoded into the patch that will be used for client auto-connect.
#HOST_ADDRESS: archipelago.gg
